//布局配置
const configLayout = {
  view: {
    label: '公共组件', //一级路由的标题
    path: '/view', //一级路由的地址，以'/'开头
    view: 'layouts/LayoutView' //一级路由组件：相对于src目录
  },
  home: {label: '默认页面', path: '/home', view: 'layouts/LayoutHome'},
  menu: {label: '菜单页面', path: '/menu', view: 'layouts/LayoutMenu'}
};
//路由配置
const configRouter = {};

//公共组件布局的路由配置
configRouter.view = [
  {
    label: '表单', //二级路由的标题，同时是一级底部标签栏的标题
    path: 'form', //二级路由的地址，不以'/'开头，同时是一级底部标签栏的Key
    icon: 'wode', //一级底部标签栏的图标类型
    view: 'components/form/Demo', //二级路由组件：相对于src目录
    auths: [1, 2], //权限列表：1是管理员，2是开发，3是测试，4是产品。如果未定义auths，则表示不需要校验权限。
    children: [
      {
        label: '表单2', //二级路由的标题，同时是二级底部标签栏的标题
        path: 'form2', //二级路由的地址，不以'/'开头，同时是二级底部标签栏的标题
        view: 'components/form/Demo', //二级路由组件：相对于src目录
        auths: [1, 2]
      }
    ]
  },
  {label: '图标', path: 'icon', icon: 'wode', view: 'components/icon/Demo', Demo: [1, 2]},
  {label: '国际化', path: 'locale', icon: 'wode', view: 'components/locale/Demo', Demo: [1, 2]}
];

//默认页面布局的路由配置
configRouter.home = [
  {
    label: '目录',
    path: 'list',
    view: 'pages/Home' //一级路由组件：相对于src目录
  },
  {label: '登录', path: 'login', view: 'pages/login'}
];

//菜单页面布局的路由配置
configRouter.menu = [
  {label: '订单', path: 'order', icon: 'wodeguanzhu', view: 'pages/order', auths: [1, 2, 3, 4]},
  {label: '登录', path: 'login', icon: 'wodeguanzhu', view: 'pages/login'}
];

export {configRouter, configLayout};
