import React from 'react';
import {HashRouter, Switch, Redirect} from 'react-router-dom'; //路由框架：https://reacttraining.com/react-router
import {ToolRoute} from '../utils';

/**
 * 获取路由
 */
export default function () {
  let pageHome = <Redirect path="/" to="/home/list" exact />; //首页使用重定向。因为没有做菜单与权限控制。
  let page403 = ToolRoute.route('/403', 'pages/403'); //没有访问权限时，手动跳转403页面
  let page404 = ToolRoute.route('*', 'pages/404'); //路由不匹配时，自动跳转404页面
  return (
    <HashRouter>
      <Switch>
        {pageHome}
        {ToolRoute.routes()}
        {page403}
        {page404}
      </Switch>
    </HashRouter>
  );
}
