const configData = require('./configData'); //配置项常量

/**
 * 项目公共配置
 * 通过webpack.dev.config.js配置的window._ENV_调用，比如：window._ENV_.site。
 * @param env process.env(Node的环境变量)，可以通过webpack赋值。注意：process.env只在打包、启动服务时有效，在代码运行时无效。
 */
module.exports = function (env) {
  let mode = env.api; //打包环境
  const config = {
    mode,
    title: 'ReactPC', //项目名称
    fileName: 'dist', //打包后的文件名
    publicParams: {clientId: 'P_AIAS_ROS'} //公共参数
  };
  //mock环境
  if (mode === configData.modeMock) {
    config.host = configData.hostStg;

    //开发、测试环境
  } else if (mode === configData.modeDev || mode === configData.modeStg) {
    config.host = configData.hostStg;
    config.secret = configData.secretStg;
    config.publicKey = configData.publicKeyStg;

    //生产环境
  } else if (mode === configData.modeProd) {
    config.host = configData.hostProd;
    config.secret = configData.secretProd;
    config.publicKey = configData.publicKeyProd;
  }
  return config;
};
