import {
  request
} from "@/utils/request.js";
// 导入modules中各api模块
const interfaceFiles = require.context("./modules", false, /\.js$/);
const interfaceObj = interfaceFiles
  .keys()
  .reduce(
    (interfaces, path) =>
    Object.assign(interfaces, interfaceFiles(path).default), {}
  );

/**
 * @method
 * @param {String} key 接口名称
 * @param {Object} data 请求参数
 * @param {Object} headers headers信息
 * @desc 根据接口名称返回需要请求的接口方法
 */
export default (key, data = {}, headers = {}) => {
  const options = {
    ...interfaceObj[key],
    headers,
  };
  const type =
    interfaceObj[key].method.toLowerCase() === "get" ? "params" : "data";
  options[type] = data;
  return request(options);
};