import "core-js/stable"; // 处理es6等新语法
import "regenerator-runtime/runtime"; // 新语法补丁
import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import request from "@/api";
// 300ms
import FastClick from 'fastclick'
// rem h5 适配
import "amfe-flexible/index.js";
import "normalize.css/normalize.css";
// 全局scss
import "@/styles/common.scss";
// 全局过滤器
import * as filters from "@/filters";
// 自动化svg
import "./icons";
// 自定义指令
import waves from "@/directive/waves";
Vue.use(waves);
Vue.config.productionTip = false;
Vue.prototype.$request = request;
// 注册全局filter过滤器
Object.keys(filters).forEach((key) => {
  Vue.filter(key, filters[key]);
});
// 处理点击事件延迟300ms问题
FastClick.attach(document.body)
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
