import "core-js/stable"; // 处理es6等新语法
import "regenerator-runtime/runtime"; // 新语法补丁
import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import request from "@/api";
import "normalize.css/normalize.css";
// 全局scss
import "@/styles/common.scss";
// 全局过滤器
import * as filters from "@/filters";
// 自动化svg
import "./icons";
// 自定义指令
import waves from "@/directive/waves";
Vue.use(waves);
Vue.config.productionTip = false;
Vue.prototype.$request = request;
// 注册全局filter过滤器
Object.keys(filters).forEach((key) => {
  Vue.filter(key, filters[key]);
});
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
